Subject: Re: [PATCH] make file merging respect permissions

From: James Bottomley <[email-masked]>
Date: Sun, 24 Apr 2005 07:46:07 -0500

On Sat, 2005-04-23 at 21:55 -0700, Linus Torvalds wrote:
> Well, I actually ended up editing the line numbers manually and already 
> pushed out the previous one, so you might want to double-check that my 
> current tree matches yours.

Just to get closure on this, I went over all the parts of patch
generation, and the culprit turns out to be emacs.  Apparently its diff
mode (which I never thought to investigate how to use) does these re-
writes ... no idea why, but the problem goes away if I strip out the
extraneous pieces in fundamental-mode.  It's never given me this trouble
before ... I think the diff I'm producing must be confusing it somehow.

James